Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-7632

FreeBSD package providers are outdated

    Details

    • Type: Improvement
    • Status: Accepted
    • Priority: Normal
    • Resolution: Unresolved
    • Affects Version/s: PUP 4.10.1
    • Fix Version/s: None
    • Component/s: None
    • Environment:

      FreeBSD BSDHelmut.charlieroot.de 10.3-RELEASE-p17 FreeBSD 10.3-RELEASE-p17 #3 r315512: Sat Mar 18 23:07:14 CET 2017 root@BSDHelmut.charlieroot.de:/usr/obj/usr/src/sys/GENERIC-PF-ALTQ amd64

    • Template:
    • Team:
      Platform OS
    • QA Risk Assessment:
      Needs Assessment

      Description

      Hi,

      the FreeBSD package providers "ports" and "portupgrade" are outdated as they use "pkg_info" instead of "pkg info":

      https://wiki.freebsd.org/pkgng

      I would like to offer my support here but due to the lack of ruby knowledge I cannot do this myself.

      My current workaround is to create /usr/sbin/pkg_info with the following content:

      #!/bin/sh
      CMD="$(echo ${@} | sed -e 's#Q#q#g' -e 's#O#o#g')"
      /usr/sbin/pkg info ${CMD}
      

      Helmut

        Attachments

          Activity

            jsd-sla-details-panel

              People

              • Assignee:
                Helmut Helmut Ritter
                Reporter:
                Helmut Helmut Ritter
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:

                  Zendesk Support